%define upstream_name    Module-Build-WithXSpp
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    XS++ enhanced flavour of Module::Build
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::CppGuess) >= 0.40.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.220.500
BuildRequires: perl(ExtUtils::Typemaps) >= 1.0.0
BuildRequires: perl(ExtUtils::XSpp) >= 0.110.0
BuildRequires: perl(Module::Build) >= 0.260.0
BuildArch:  noarch

%description
This subclass of the Module::Build manpage adds some tools and processes to
make it easier to use for wrapping C++ using XS++ (the ExtUtils::XSpp
manpage).

There are a few minor differences from using 'Module::Build' for an
ordinary XS module and a few conventions that you should be aware of as an
XS++ module author. They are documented in the the /"FEATURES AND
CONVENTIONS" manpage section below. But if you can't be bothered to read
all that, you may choose skip it and blindly follow the advice in the
/"JUMP START FOR THE IMPATIENT" manpage.

An example of a full distribution based on this build tool can be found in
the the ExtUtils::XSpp manpage distribution under _examples/XSpp-Example_.
Using that example as the basis for your 'Module::Build::WithXSpp'-based
distribution is probably a good idea.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 369769
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 306142
- update to 0.12

* Thu May 31 2012 shlomif <shlomif> 0.110.0-2.mga3
+ Revision: 252320
- Correct license
- imported package perl-Module-Build-WithXSpp

